/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <nostalgia/studio/studio.hpp>

namespace nostalgia::core {

class StudioModule: public studio::Module {
	public:
		ox::Vector<studio::EditorMaker> editors(turbine::Context *ctx) noexcept override;
		ox::Vector<ox::UniquePtr<studio::ItemMaker>> itemMakers(turbine::Context*) noexcept override;
};

}
